# Method: partners.devices.findByOwner

- [HTTP request](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/findByOwner#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/findByOwner#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/findByOwner#body.request_body)
  - [JSON representation](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/findByOwner#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/findByOwner#body.response_body)
  - [JSON representation](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/findByOwner#body.FindDevicesByOwnerResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/findByOwner#body.aspect)

Finds devices claimed for customers. The results only contain devices registered to the reseller that's identified by the `partnerId` argument. The customer's devices purchased from other resellers don't appear in the results.

### HTTP request

`POST https://androiddeviceprovisioning.googleapis.com/v1/partners/{partnerId}/devices:findByOwner`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `partnerId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the reseller partner. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "pageToken": string, "limit": string, "sectionType": enum (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices#DeviceProvisioningSectionType`), "customerId": [ string ], "googleWorkspaceCustomerId": [ string ] } ``` |

| Fields ||
|---|---|
| `pageToken` | `string` A token specifying which result page to return. |
| `limit` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The maximum number of devices to show in a page of results. Must be between 1 and 100 inclusive. |
| `sectionType` | ``enum (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices#DeviceProvisioningSectionType`)`` Required. The section type of the device's provisioning record. |
| `customerId[]` | `string (https://developers.google.com/discovery/v1/type-format format)` The list of customer IDs to search for. |
| `googleWorkspaceCustomerId[]` | `string` The list of IDs of Google Workspace accounts to search for. |

### Response body

If successful, the response body contains data with the following structure:
Response containing found devices.

| JSON representation |
|---|
| ``` { "devices": [ { object (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices#Device`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `devices[]` | ``object (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices#Device`)`` The customer's devices. |
| `nextPageToken` | `string` A token used to access the next page of results. Omitted if no further results are available. |
| `totalSize` | `integer` The total count of items in the list irrespective of pagination. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidworkprovisioning`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).